► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Windowing Classes
3 | Windowing Functions
4 | Editors
5 | Snip and Style Classes
6 | Editor Classes
7 | Editor Functions
8 | WXME Decoding
9 | Preferences
10 | Dynamic Loading
11 | Startup Actions
12 | Platform Dependencies
| Index

▼ | 6 | Editor Classes

6.1 | editor<%>
6.2 | editor-admin%
6.3 | editor-canvas%
6.4 | editor-data%
6.5 | editor-data-class%
6.6 | editor-data-class-list<%>
6.7 | editor-snip-editor-admin<%>
6.8 | editor-snip%
6.9 | editor-stream-in%
6.10 | editor-stream-in-base%
6.11 | editor-stream-in-bytes-base%
6.12 | editor-stream-out%
6.13 | editor-stream-out-base%
6.14 | editor-stream-out-bytes-base%
6.15 | editor-wordbreak-map%
6.16 | keymap%
6.17 | pasteboard%
6.18 | text%

Inherited methods:
from editor-stream-in-base%
bad?
read
read-byte
read-bytes
seek
skip
tell

top← prev up next →

> class

> editor-stream-in-bytes-base% : class?

superclass: editor-stream-in-base%

An editor-stream-in-bytes-base% object can be used to read editor data from a byte string.

> > constructor

> > (make-object editor-stream-in-bytes-base% s)

> → (is-a?/c editor-stream-in-bytes-base%)
> s : bytes?

Creates a stream base that reads from s.
top← prev up next →